Package org.apache.maven.scm.provider.git.command.changelog

## Class GitChangeLogCommandTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.ScmTckTestCase
          - - org.apache.maven.scm.tck.command.changelog.ChangeLogCommandTckTest
            - - org.apache.maven.scm.provider.git.command.changelog.GitChangeLogCommandTckTest

All Implemented Interfaces:
  `junit.framework.Test`

    public abstract class GitChangeLogCommandTckTest
    extends ChangeLogCommandTckTest

Author:
  Mark Struberg

### Field Summary

Fields
`static long` `SLEEP_TIME_IN_MILLIS`

### Fields inherited from class org.apache.maven.scm.ScmTestCase

`GMT_TIME_ZONE`

### Constructor Summary

Constructors
`GitChangeLogCommandTckTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CheckOutScmResult` `checkOut​(java.io.File workingDirectory, ScmRepository repository)` Convenience method to check out files from the repository
`void` `initRepo()` Initialize repository at the `ScmTckTestCase.getScmUrl()` location with the files in `ScmTckTestCase.getScmFileNames()`
`void` `testChangeLogCommandFromHeadAncestorAndHead()`
`void` `testChangeLogCommandFromHeadToHead()`
`void` `testChangeLogCommandFromHeadToStartOfRepository()`
`void` `testChangeLogCommandFromUndefinedToHead()`
`void` `testChangeLogCommandFromVersionToStartOfRepository()`
`void` `testChangeLogCommandFromVersionToUndefined()`
`void` `testChangeLogCommandFromVoneToVtwo()`
`void` `testChangeLogCommandWithStartEndInBadOrder()`

### Methods inherited from class org.apache.maven.scm.tck.command.changelog.ChangeLogCommandTckTest

`testChangeLogCommand`

### Methods inherited from class org.apache.maven.scm.ScmTckTestCase

`addToWorkingTree, checkIn, edit, getScmFileNames, getScmRepository, getScmUrl, mapFilesByPath, removeRepo, setUp, tearDown`

### Methods inherited from class org.apache.maven.scm.ScmTestCase

`assertCommandLine, assertFile, assertPath, assertResultIsSuccess, deleteDirectory, execute, getAssertionCopy, getCustomConfiguration, getDate, getDate, getDate, getModule, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getSecDispatcher, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, printOutputError, printSystemCmdUnavail, setDebugExecute`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SLEEP_TIME_IN_MILLIS

    public static final long SLEEP_TIME_IN_MILLIS

See Also:
  Constant Field Values

### Constructor Detail

#### GitChangeLogCommandTckTest

    public GitChangeLogCommandTckTest()

### Method Detail

#### initRepo

    public void initRepo()
                  throws java.lang.Exception

Initialize repository at the `ScmTckTestCase.getScmUrl()` location with the files in `ScmTckTestCase.getScmFileNames()`

The setup is also asserting on the existence of these files.
This should only be used by this class (thus do not call this method from derived classes) Note: 'svnadmin' should be a system command.

Specified by:
  `initRepo` in class `ScmTckTestCase`
Throws:
  `java.lang.Exception` - if any

#### checkOut

    protected CheckOutScmResult checkOut​(java.io.File workingDirectory,
                                         ScmRepository repository)
                                  throws java.lang.Exception

Description copied from class: `ScmTckTestCase`
Convenience method to check out files from the repository

Overrides:
  `checkOut` in class `ScmTckTestCase`
Throws:
  `java.lang.Exception`

#### testChangeLogCommandFromHeadAncestorAndHead

    public void testChangeLogCommandFromHeadAncestorAndHead()
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testChangeLogCommandFromHeadToHead

    public void testChangeLogCommandFromHeadToHead()
                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testChangeLogCommandFromUndefinedToHead

    public void testChangeLogCommandFromUndefinedToHead()
                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testChangeLogCommandFromVersionToUndefined

    public void testChangeLogCommandFromVersionToUndefined()
                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testChangeLogCommandFromVoneToVtwo

    public void testChangeLogCommandFromVoneToVtwo()
                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testChangeLogCommandWithStartEndInBadOrder

    public void testChangeLogCommandWithStartEndInBadOrder()
                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testChangeLogCommandFromHeadToStartOfRepository

    public void testChangeLogCommandFromHeadToStartOfRepository()
                                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testChangeLogCommandFromVersionToStartOfRepository

    public void testChangeLogCommandFromVersionToStartOfRepository()
                                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`